Fidelity Wise Origin Bitcoin Fund
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1790640000000,
"type": "flat",
"coin_id": "bitcoin",
"holding_net_change": 0.0
},
{
"date": 1790726400000,
"type": "sell",
"coin_id": "bitcoin",
"holding_net_change": -1501.587665939783
},
{
"date": 1790812800000,
"type": "sell",
"coin_id": "bitcoin",
"holding_net_change": -726.5357673438571
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1790726400000,
184099.7697156597
],
[
1790812800000,
183685.0013584797
],
[
1790899200000,
183880.6943478897
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1790726400000,
15398988417.91241
],
[
1790812800000,
15346360198.09712
],
[
1790899200000,
15589925649.17909
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"low": 72.49,
"date": "2026-09-30",
"high": 74.435,
"open": 74.08,
"close": 72.64,
"volume": 4174980
},
{
"low": 72.55,
"date": "2026-10-01",
"high": 74.175,
"open": 72.57,
"close": 73.61,
"volume": 2831028
},
{
"low": 72.965,
"date": "2026-10-02",
"high": 75.87,
"open": 75.31,
"close": 73.33,
"volume": 3671130
}
]
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"eps_estimate_next_quarter": null,
"quarterly_earnings_growth": null,
"eps_estimate_current_quarter": null
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"one_month_return": 8.98,
"six_month_return": 25.65,
"three_month_return": 32.29
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/fidelity-wise-origin-bitcoin-fund/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": "-",
"total_btc_percentage": 0.879,
"share_price_change_state": ""
}